MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024668Open CASCADE[OCCT] OCCT:Visualizationpublic2014-02-27 12:432014-05-05 13:38
Reporteraba 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024668: Null flyout value case in AIS_Dimension::SetTextPosition() method is not considered
DescriptionThe null value of flyout in AIS_Dimension is not considered, but this case leads to exception in gp_Dir::IsOpposite() check for current flyout vector and positive flyout direction.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0028305)
aba (developer)
2014-03-17 15:59

The git branch CR24668 is ready to be reviewed.

Dear apl,
please review.
(0028315)
apl (developer)
2014-03-17 19:46

Minor coding style remark was corrected in AIS_Dimension.cxx
(0028316)
apl (developer)
2014-03-17 19:46

Dear bugmaster,

The branch is reviewed.

Please test.
(0028365)
mkv (tester)
2014-03-19 17:29

Dear BugMaster,

Branch CR24668 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: dafcc9b78a676f2a5b40dbace4c7ab51c667a858

Number of compiler warnings:

occt component :
Linux: 30 (30 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 384635304 / 386276008
Total CPU difference: 56636.74000000014 / 48827.5

Testing on Windows:
Total MEMORY difference: 430631076 / 430913404
Total CPU difference: 34739.1875 / 35761.53125

There are no differences in images found by testdiff.

- Related Changesets
occt: master 91b16a64
Timestamp: 2014-03-20 09:44:02
Author: aba
Committer: bugmaster
Details ] Diff ]
0024668: Null flyout value case in AIS_Dimension::SetTextPosition() method is not considered.

Corrected checks of working plane and dimension geometry.

Corrected remarks: IsComputed flag was added to the SelectionGeometry to check if it is filled; AdjustParameters() methods became const ones.

minor remark
mod - src/AIS/AIS_AngleDimension.cxx Diff ] File ]
mod - src/AIS/AIS_AngleDimension.hxx Diff ] File ]
mod - src/AIS/AIS_DiameterDimension.cxx Diff ] File ]
mod - src/AIS/AIS_Dimension.cxx Diff ] File ]
mod - src/AIS/AIS_Dimension.hxx Diff ] File ]
mod - src/AIS/AIS_LengthDimension.cxx Diff ] File ]
mod - src/AIS/AIS_RadiusDimension.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-02-27 12:43 aba New Issue
2014-02-27 12:43 aba Assigned To => aba
2014-02-27 12:44 aba Status new => assigned
2014-03-07 13:45 aba Relationship added related to 0024675
2014-03-07 13:45 aba Relationship deleted related to 0024675
2014-03-07 13:45 aba Relationship added related to 0024412
2014-03-17 15:59 aba Note Added: 0028305
2014-03-17 15:59 aba Assigned To aba => apl
2014-03-17 15:59 aba Status assigned => resolved
2014-03-17 19:46 apl Note Added: 0028315
2014-03-17 19:46 apl Note Added: 0028316
2014-03-17 19:46 apl Assigned To apl => bugmaster
2014-03-17 19:46 apl Status resolved => reviewed
2014-03-18 21:19 mkv Assigned To bugmaster => mkv
2014-03-19 17:29 mkv Note Added: 0028365
2014-03-19 17:29 mkv Test case number => Not needed
2014-03-19 17:29 mkv Assigned To mkv => bugmaster
2014-03-19 17:29 mkv Status reviewed => tested
2014-03-21 16:18 bugmaster Changeset attached => occt master 91b16a64
2014-03-21 16:18 bugmaster Status tested => verified
2014-03-21 16:18 bugmaster Resolution open => fixed
2014-05-05 13:33 aiv Status verified => closed
2014-05-05 13:38 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker